Subject: Re: Git very slow ?

From: Ken Moffat <[email-masked]>
Date: Sun, 8 Mar 2015 19:02:44 +0000

On Sun, Mar 08, 2015 at 04:51:36PM +0100, Kevin D wrote:
> On Sat, Mar 07, 2015 at 01:30:07AM +0000, Ken Moffat wrote:
> > Hi, please CC me if that is not your usual fashion, because I am not
> > subscribed.
> > 
> > I use git for my build scripts - those are accessed over nfs.  Since
> > I started using 2.1 and later (I don't think I used 2.0) commands
> > such as 'commit' take a long time before anything happens.  I
> > assumed that the newer version meant this would take longer.
> > 
> > But today^Wyesterday I was bisecting the kernel on a local
> > filesystem - even when the number of revisions left to test was in
> > the single digits, git bisect took a long time to decide which
> > revision should be the next one to test.  The filesystems are ext4.
> > Is this sort of delay normal now?
> > 
> > What really prompted me to ask is that I ran git blame on a script,
> > to see when I made a particular change so that I could add that
> > information to a ticket, and almost gave up waiting because it felt
> > as if it was taking for ever.
> > 
> 
> What kind of repository are we talking about? How many files, how big?
> Git should not have become significantly slower recently.
> 

The comments on git bisect were for linus'skernel tree, on a local
disk.  2.3GB of repo, just under 57000 files.

My own repo of build scripts, where I have noticed the delay before
git commit lets me type in the message, is an nfs v3 mount from
another of my machines in the same room - ping between them gives
times of 0.25 to 0.3 seconds and I think the nfs part is irrelevant.
Here, the size is 70MB and 12133 files [ about 1500 scripts total,
so the rest is from the commits ].

Some of this might be the drives - on the desktop with linus's tree
the machine only supports SATA2 (3GB/S), but the machine serving my
scripts goes back further and probably only supports SATA1 (1.5GB/S)

> Also, might there be anti-virus software that slows down file access?

No, this is all local access on linux machines.

ĸen
-- 
Nanny Ogg usually went to bed early. After all, she was an old lady.
Sometimes she went to bed as early as 6 a.m.